diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 315d833..c9179ec 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -139415,8 +139415,8 @@ StreamTranscendentalFunctions(Coef): Exports == Implementation where
 
     exp z ==
       empty? z => 1 :: ST
-      (coef := frst z) = 0 => YS expre(1,#1,deriv z)
-      TRANSFCN => YS expre(exp coef,#1,deriv z)
+      (coef := frst z) = 0 => YS(y +-> expre(1,y,deriv z))
+      TRANSFCN => YS(y +-> expre(exp coef,y,deriv z))
       error concat("exp: ",TRCONST)
 
     log z ==
@@ -139447,8 +139447,8 @@ StreamTranscendentalFunctions(Coef): Exports == Implementation where
     sincos z ==
       empty? z => [0 :: ST,1 :: ST]
       l :=
-        (coef := frst z) = 0 => YS(sincosre(0,1,#1,deriv z,-1),2)
-        TRANSFCN => YS(sincosre(sin coef,cos coef,#1,deriv z,-1),2)
+        (coef := frst z) = 0 => YS(y +-> sincosre(0,1,y,deriv z,-1),2)
+        TRANSFCN => YS(y +-> sincosre(sin coef,cos coef,y,deriv z,-1),2)
         error concat("sincos: ",TRCONST)
       [first l,second l]
 
@@ -139472,8 +139472,8 @@ StreamTranscendentalFunctions(Coef): Exports == Implementation where
 
     tan z ==
       empty? z => 0 :: ST
-      (coef := frst z) = 0 => YS tanre(0,#1,deriv z,1)
-      TRANSFCN => YS tanre(tan coef,#1,deriv z,1)
+      (coef := frst z) = 0 => YS(y +-> tanre(0,y,deriv z,1))
+      TRANSFCN => YS(y +-> tanre(tan coef,y,deriv z,1))
       error concat("tan: ",TRCONST)
 
     cotre:(Coef,ST,ST) -> ST
@@ -139494,7 +139494,7 @@ StreamTranscendentalFunctions(Coef): Exports == Implementation where
     cot z ==
       empty? z => error "cot: cot(0) is undefined"
       (coef := frst z) = 0 => error concat("cot: ",NPOWERS)
-      TRANSFCN => YS cotre(cot coef,#1,deriv z)
+      TRANSFCN => YS(y +-> cotre(cot coef,y,deriv z))
       error concat("cot: ",TRCONST)
 
     sec z ==
@@ -139630,8 +139630,8 @@ StreamTranscendentalFunctions(Coef): Exports == Implementation where
     sinhcosh z ==
       empty? z => [0 :: ST,1 :: ST]
       l :=
-        (coef := frst z) = 0 => YS(sincosre(0,1,#1,deriv z,1),2)
-        TRANSFCN => YS(sincosre(sinh coef,cosh coef,#1,deriv z,1),2)
+        (coef := frst z) = 0 => YS(y +-> sincosre(0,1,y,deriv z,1),2)
+        TRANSFCN => YS(y +-> sincosre(sinh coef,cosh coef,y,deriv z,1),2)
         error concat("sinhcosh: ",TRCONST)
       [first l,second l]
 
@@ -139640,8 +139640,8 @@ StreamTranscendentalFunctions(Coef): Exports == Implementation where
 
     tanh z ==
       empty? z => 0 :: ST
-      (coef := frst z) = 0 => YS tanre(0,#1,deriv z,-1)
-      TRANSFCN => YS tanre(tanh coef,#1,deriv z,-1)
+      (coef := frst z) = 0 => YS(y +-> tanre(0,y,deriv z,-1))
+      TRANSFCN => YS(y +-> tanre(tanh coef,y,deriv z,-1))
       error concat("tanh: ",TRCONST)
 
     coth z ==
diff --git a/changelog b/changelog
index 1c0b9c6..a993e45 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090621 tpd src/axiom-website/patches.html 20090621.07.tpd.patch
+20090621 tpd books/bookvol10.4 STTF +-> conversion
 20090621 tpd src/axiom-website/patches.html 20090621.06.tpd.patch
 20090621 tpd books/bookvol10.4 STTAYLOR +-> conversion
 20090621 tpd src/axiom-website/patches.html 20090621.05.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 19891bc..6bee9a0 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1629,5 +1629,7 @@ bookvol10.4 STREAM3 +-> conversion<br/>
 bookvol10.4 STINPROD +-> conversion<br/>
 <a href="patches/20090621.06.tpd.patch">20090621.06.tpd.patch</a>
 bookvol10.4 STTAYLOR +-> conversion<br/>
+<a href="patches/20090621.07.tpd.patch">20090621.07.tpd.patch</a>
+bookvol10.4 STTF +-> conversion<br/>
  </body>
 </html>
